# Uses of Interface
org.apache.lucene.sandbox.facet.cutters.FacetCutter

Packages that use FacetCutter
Package
Description
org.apache.lucene.sandbox.facet
Sandbox faceting - Collectors that compute facets.
org.apache.lucene.sandbox.facet.cutters
Sandbox faceting: facet cutters, see `FacetCutter` for details.
org.apache.lucene.sandbox.facet.cutters.ranges
Sandbox faceting: Range Faceting
org.apache.lucene.sandbox.facet.recorders
Sandbox faceting: classes that can record per ordinal data E.g.
org.apache.lucene.sandbox.facet.utils
Sandbox faceting: utility classes to make it easier to use the new API for standard use cases.

- ## Uses of FacetCutter in org.apache.lucene.sandbox.facet

  Constructors in org.apache.lucene.sandbox.facet with parameters of type FacetCutter
  Modifier
  Constructor
  Description
  ``
  `FacetFieldCollector(FacetCutter facetCutter, FacetRecorder facetRecorder)`
  Collector for cutter+recorder pair.
  ``
  `FacetFieldCollectorManager(FacetCutter facetCutter, V facetRecorder)`
  Create collector for a cutter + recorder pair

- ## Uses of FacetCutter in org.apache.lucene.sandbox.facet.cutters

  Classes in org.apache.lucene.sandbox.facet.cutters that implement FacetCutter
  Modifier and Type
  Class
  Description
  `final class`
  `LongValueFacetCutter`
  `FacetCutter` and `OrdToLabel` for distinct long values.
  `final class`
  `TaxonomyFacetsCutter`
  `FacetCutter` for facets that use taxonomy side-car index.

- ## Uses of FacetCutter in org.apache.lucene.sandbox.facet.cutters.ranges

  Classes in org.apache.lucene.sandbox.facet.cutters.ranges that implement FacetCutter
  Modifier and Type
  Class
  Description
  `final class`
  `DoubleRangeFacetCutter`
  `FacetCutter` for ranges of double values.
  `class`
  `LongRangeFacetCutter`
  `FacetCutter` for ranges of long values.

- ## Uses of FacetCutter in org.apache.lucene.sandbox.facet.recorders

  Methods in org.apache.lucene.sandbox.facet.recorders with parameters of type FacetCutter
  Modifier and Type
  Method
  Description
  `void`
  CountFacetRecorder.`reduce(FacetCutter facetCutter)`
  `void`
  FacetRecorder.`reduce(FacetCutter facetCutter)`
  Reduce leaf recorder results into this recorder.
  `void`
  LongAggregationsFacetRecorder.`reduce(FacetCutter facetCutter)`
  `void`
  MultiFacetsRecorder.`reduce(FacetCutter facetCutter)`

- ## Uses of FacetCutter in org.apache.lucene.sandbox.facet.utils

  Constructors in org.apache.lucene.sandbox.facet.utils with parameters of type FacetCutter
  Modifier
  Constructor
  Description
  ``
  `CommonFacetBuilder(String dimension, FacetCutter cutter, OrdToLabel ordToLabel)`